.object-viewer-canvas-wrapper {
  height: 80%;
  width: 80%;
  padding: 2%;
}
.object-viewer-canvas {
  position: absolute;
  display: flex;
  height: 80%;
  width: 80%;
}

#object-viewer-controls {
  position: absolute;
  top: 10px;
  right: 10px;
  display: flex;
  flex-direction: column;
  gap: 6px;
  z-index: 10;
}

.object-viewer-zoom-btn {
  padding: 6px 12px;
  font-size: 14px;
  color: #eee;               /* light text */
  background-color: transparent;  /* transparent background */
  border: 1px solid #555;    /* thin outline */
  border-radius: 4px;         /* slightly rounded corners */
  cursor: pointer;
  transition: all 0.2s ease;
}

.object-viewer-zoom-btn:hover {
  border-color: #888;
  color: #fff;
  background-color: rgba(255, 255, 255, 0.05);
}
.slice-axis-btn:hover {
  border-color: #888;
  color: #fff;
  background-color: rgba(255, 255, 255, 0.05);
}
#zoom-slider-wrapper,
#threshold-slider-wrapper,
#slice-slider-wrapper {
  margin-top: 10px;
  width: 200px;
  display: flex;
  flex-direction: column;
}
#zoom-slider,
#threshold-slider,
#slice-slider {
  -webkit-appearance: none;
  width: 100%;
  height: 6px;
  background: rgba(255, 255, 255, 0.1);
  border-radius: 3px;
  outline: none;
}
#zoom-slider::-webkit-slider-thumb,
#threshold-slider::-webkit-slider-thumb,
#slice-slider::-webkit-slider-thumb {
  -webkit-appearance: none;
  appearance: none;
  width: 14px;
  height: 14px;
  border-radius: 50%;
  background: #ffffff;
  cursor: pointer;
  border: 1px solid #555;
}
#zoomn-slider::-moz-range-thumb,
#threshold-slider::-moz-range-thumb,
#slice-slider::-moz-range-thumb {
  width: 14px;
  height: 14px;
  border-radius: 50%;
  background: #ffffff;
  cursor: pointer;
  border: 1px solid #555;
}

.slider-label-object-viewer {
  font-size: 12px;
  margin-bottom: 4px;
  padding-right: 5px;
  justify-content: end;
  display: flex;
}
